Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class GroupRight

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.bgsecure.common.bean.GroupRight

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`, `Node<GroupRight>`, `TreeNode<GroupRight>`

    public class GroupRight
    extends Id
    implements Node<GroupRight>

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GroupRight()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<GroupRight>` | `getChildren()` |
  `java.lang.String` | `getModule()` |
  `int` | `getModuleId()` |
  `int` | `getParentId()` |
  `java.lang.String` | `getTitle()` |
  `RightType` | `getType()` |
  `void` | `setChildren​(java.util.List<GroupRight> children)` |
  `void` | `setModule​(java.lang.String module)` |
  `void` | `setModuleId​(int moduleId)` |
  `void` | `setParentId​(int parentId)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setType​(RightType type)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroupRight

    public GroupRight()

- ## Method Details

  - ### getChildren

    public java.util.List<GroupRight> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<GroupRight>`

  - ### setChildren

    public void setChildren​(java.util.List<GroupRight> children)
    Specified by:
      `setChildren` in interface `Node<GroupRight>`

  - ### getParentId

    public int getParentId()
    Specified by:
      `getParentId` in interface `Node<GroupRight>`

  - ### setParentId

    public void setParentId​(int parentId)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId​(int moduleId)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getModule

    public java.lang.String getModule()

  - ### setModule

    public void setModule​(java.lang.String module)

  - ### getType

    public RightType getType()

  - ### setType

    public void setType​(RightType type)